using System;
using Pkmnlib.Generated;

namespace PkmnLibSharp.Library
{
    public class Species : PointerWrapper
    {
        // ReSharper disable once SuggestBaseTypeForParameter
        public Species(ushort id, string name, Forme defaultForme, float genderRatio, string growthRate, byte captureRate,
            byte baseHappiness) : base(PokemonSpecies.Construct(id, name, defaultForme.Ptr, genderRatio, growthRate, captureRate, baseHappiness))
        {
        }

        internal override void DeletePtr()
        {
            Pokemon.Destruct(Ptr);
        }
    }
}